|
@ -230,23 +230,32 @@ lower_box = make_component_holder( |
|
|
lower_box = make_component_holder_line( |
|
|
lower_box = make_component_holder_line( |
|
|
lower_box, |
|
|
lower_box, |
|
|
pole_height=5, |
|
|
pole_height=5, |
|
|
line_x_dist=breadboard_height, |
|
|
line_x_dist=breadboard_height + 3.8, |
|
|
line_y_dist=0, |
|
|
line_y_dist=0, |
|
|
x_offset=-(breadboard_height / 2.0), |
|
|
x_offset=-(breadboard_height / 2.0) - 1.9, |
|
|
y_offset=40, |
|
|
y_offset=40, |
|
|
) |
|
|
) |
|
|
|
|
|
|
|
|
bc_pole_radius = 4 |
|
|
bc_pole_radius = 4 |
|
|
lower_box = lower_box.workplane(offset=(wall_thickness / 2.0)).move(-(lbc_height/2.0), -25).box(5, lbc_width-5, 13) |
|
|
lower_box = ( |
|
|
lower_box = lower_box.workplane(offset=(wall_thickness / 2.0)).move(lbc_height/2.0 - bc_pole_radius*2, -25).box(5, lbc_width-5, 13) |
|
|
lower_box.workplane(offset=(wall_thickness / 2.0)) |
|
|
|
|
|
.move(0, -50) |
|
|
|
|
|
.box(lbc_width - 5, 5, 13) |
|
|
|
|
|
) |
|
|
|
|
|
lower_box = ( |
|
|
|
|
|
lower_box.workplane(offset=(wall_thickness / 2.0)) |
|
|
|
|
|
.move(0, bc_pole_radius) |
|
|
|
|
|
.box(lbc_width - 5, 5, 13) |
|
|
|
|
|
) |
|
|
|
|
|
|
|
|
lower_box = make_component_holder_line( |
|
|
lower_box = make_component_holder_line( |
|
|
lower_box, |
|
|
lower_box, |
|
|
pole_height=6, |
|
|
pole_height=6, |
|
|
pole_radius=bc_pole_radius, |
|
|
pole_radius=bc_pole_radius, |
|
|
line_x_dist=lbc_height - lbc_hole_diameter - lbc_hole_radius, |
|
|
line_x_dist=0, |
|
|
line_y_dist=0, |
|
|
line_y_dist=lbc_height - lbc_hole_diameter - lbc_hole_radius, |
|
|
x_offset=-(lbc_height / 2.0), |
|
|
x_offset=0, |
|
|
y_offset=-(lbc_width / 2.5), |
|
|
y_offset=-(lbc_width - lbc_hole_diameter - lbc_hole_radius + 1.1), |
|
|
) |
|
|
) |
|
|
|
|
|
|
|
|
# lower_box = lower_box.workplane(offset=(wall_thickness / 2.0)).box(lbc_height, 5, 13) |
|
|
# lower_box = lower_box.workplane(offset=(wall_thickness / 2.0)).box(lbc_height, 5, 13) |
|
|